import { redirect } from 'next/navigation'

import { AuthFlow } from '@/components/auth/auth-flow'
import { AuthGuard } from '@/components/auth-guard'

export default function LoginPage() {
  return (
    <AuthGuard fallback={<AuthFlow />}>
      {/* Если пользователь авторизован, перенаправляем в дашборд */}
      {redirect('/dashboard')}
    </AuthGuard>
  )
}
